summaryrefslogtreecommitdiffstats
path: root/test/parser-test.sh
diff options
context:
space:
mode:
authorJeremy Kerr <jk@ozlabs.org>2008-12-15 15:22:34 +1100
committerJeremy Kerr <jk@ozlabs.org>2008-12-15 15:22:34 +1100
commit32e6a41f33e5576716b351bd473a27939fe94fa1 (patch)
tree0d6b75ac0a02d2496416095405cb9498777c3beb /test/parser-test.sh
parent000a92b4fa909c432732ac3ed8f28eeeaeac70ee (diff)
downloadtalos-petitboot-32e6a41f33e5576716b351bd473a27939fe94fa1.tar.gz
talos-petitboot-32e6a41f33e5576716b351bd473a27939fe94fa1.zip
Initial support for multiple UIs
Move the device discovery code from separate udev helpers to a single process to listen on two sockets: one SOCK_DGRAM for incoming udev events, and one SOCK_STREAM for UIs to connect. Initial support for client/server infrastructure, still need to wire-up the udev messages. Signed-off-by: Jeremy Kerr <jk@ozlabs.org>
Diffstat (limited to 'test/parser-test.sh')
-rwxr-xr-xtest/parser-test.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/parser-test.sh b/test/parser-test.sh
new file mode 100755
index 0000000..140601e
--- /dev/null
+++ b/test/parser-test.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+testdir=devices/parser-tests
+default_rootdev=ps3da1
+
+function test_dir()
+{
+ dir="$1"
+ rootdev=$default_rootdev
+ if [ -e "$dir/rootdev" ]
+ then
+ rootdev=$(cat "$dir/rootdev")
+ fi
+ ./parser-test "$dir" /dev/$rootdev 2>/dev/null |
+ diff -u "$dir/expected-output" -
+}
+
+set -ex
+
+for test in $testdir/*
+do
+ echo $test
+ test_dir "$test"
+done
+
+echo "All tests passed"
OpenPOWER on IntegriCloud